GearmanJob::sendData
GearmanJob::sendFail
GearmanJob
PHP Manual

# GearmanJob::sendException

(PECL gearman >= 0.6.0)

GearmanJob::sendException — Send exception for running job (exception)

### Opis

public bool GearmanJob::sendException ( string `$exception` )

Sends the supplied exception when this job is running.

### Parametry

`exception`

  An exception description.

### Zwracane wartości

Zwraca `TRUE` w przypadku powodzenia, `FALSE` w przypadku błędu.

### Zobacz też:

- GearmanJob::setReturn - Set a return value
- GearmanJob::sendStatus - Send status
- GearmanJob::sendWarning - Send a warning

GearmanJob::sendData
GearmanJob::sendFail
GearmanJob
PHP Manual